Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
PUTBare Metal Management OperationsSince 3.4.0SynchronousAuth Required

UpdatePreconfigurationTemplate

UpdatePreconfigurationTemplate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the preconfigured template.

Body Fields

  • updatepreconfigurationtemplateObjectRequired

    updatepreconfigurationtemplate request body object.

    • nameString

      Optional. The name of the template.

    • descriptionString

      Optional. The detailed description of the template.

    • distributionString

      Optional. The distribution of the operating system.

    • typeString

      Optional. The type of the template.

    • contentString

      Optional. The content of the template.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryPreconfigurationTemplateInventoryRequired

    See

    • uuidStringRequired

      The UUID of the preconfigured template.

    • nameStringRequired

      The name of the template.

    • descriptionStringRequired

      The detailed description of the preconfigured template.

    • distributionStringRequired

      The distribution of the operating system.

    • typeStringRequired

      The type of the template.

    • contentStringRequired

      The content of the template.

    • md5sumStringRequired

      The MD5 value of the template.

    • isPredefinedBooleanRequired

      Indicates whether the system of the template was predefined.

    • stateStringRequired

      The state of the template.

    • createDateTimestampRequired

      The time when the template was created.

    • lastOpDateTimestampRequired

      The time when the template was last modified.

Endpoint

PUT/zstack/v1/baremetal/preconfigurations/{uuid}/actions

/zstack/v1/baremetal/preconfigurations/{uuid}/actions

Operation ID

UpdatePreconfigurationTemplate

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/baremetal/preconfigurations/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatepreconfigurationtemplate":{"name":"<name>","description":"<description>","distribution":"<distribution>","type":"<type>","content":"<content>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "fee95538b8a64831a9f29b972bcdf165", "name": "centos_7_x86_64_mini_v1.cfg", "description": "centos-7-minimal kickstart file", "distribution": "centos-7-x86_64", "type": "kickstart", "content": "...", "md5sum": "6c5fbedaf16f4682840a3a2c9b712b21", "isPredefined": false, "state": "Enabled", "createDate": "Jan 11, 2019 10:38:58 AM", "lastOpDate": "Jan 11, 2019 10:38:58 AM" } }

Change History

This API has no change history records yet.

View all change history